Bug 237457 - provides
Summary: provides
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-usermgmt   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Enrico Scholz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-23 11:23 UTC by Florian La Roche
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-25 07:26:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Florian La Roche 2007-04-23 11:23:42 UTC
Description of problem:

This data is in the current .spec file of FE-development:
%package default-fedora-setup
Provides:       %name-setup = %name-%version
Obsoletes:      %name-setup < %name-%version


Provides are normally of the form "name = version-release" or
"name = version", so very often rpm tries to parse the right side
into a version-release tuple.

So packaging should try to not list again the name on the right side,
even though of course it does "somehow" work.

regards,

Florian La Roche





Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Enrico Scholz 2007-04-25 07:26:56 UTC
thx; was a typo and should be %version-%release


Note You need to log in before you can comment on or make changes to this bug.